# Uses of Enum
org.jboss.logmanager.handlers.SocketHandler.Protocol

Packages that use SocketHandler.Protocol
Package
Description
org.jboss.logmanager.handlers

## Uses of SocketHandler.Protocol in org.jboss.logmanager.handlers

Methods in org.jboss.logmanager.handlers that return SocketHandler.Protocol
Modifier and Type
Method
Description
`SocketHandler.Protocol`
SocketHandler.`getProtocol()`
Returns the protocol being used.
`static SocketHandler.Protocol`
SocketHandler.Protocol.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketHandler.Protocol[]`
SocketHandler.Protocol.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager.handlers with parameters of type SocketHandler.Protocol
Modifier and Type
Method
Description
`void`
SocketHandler.`setProtocol(SocketHandler.Protocol protocol)`
Sets the protocol to use.
Constructors in org.jboss.logmanager.handlers with parameters of type SocketHandler.Protocol
Modifier
Constructor
Description
``
`SocketHandler(SocketFactory socketFactory, SocketHandler.Protocol protocol, String hostname, int port)`
Creates a socket handler.
``
`SocketHandler(SocketFactory socketFactory, SocketHandler.Protocol protocol, InetAddress address, int port)`
Creates a socket handler.
``
`SocketHandler(ClientSocketFactory clientSocketFactory, SocketHandler.Protocol protocol)`
Creates a socket handler.
``
`SocketHandler(SocketHandler.Protocol protocol, String hostname, int port)`
Creates a socket handler.
``
`SocketHandler(SocketHandler.Protocol protocol, InetAddress address, int port)`
Creates a socket handler.